Subject: Re: t7528-signed-commit-ssh.sh fails due to ssh-agent fails to start with ENAMETOOLONG

From: Collin Funk <[email-masked]>
Date: Thu, 16 Oct 2025 19:06:44 -0700

Hi Xi,

Xi Ruoyao <[email-masked]> writes:

> When I test git-2.51.1 I hit a test failure in t7528-signed-commit-
> ssh.sh.  Running it with -v reveals:
>
> unix_listener_tmp: path "/home/xry111/sources/12.5/git-2.51.1/t/trash directory.t7528-signed-commit-ssh/.ssh/agent/s.fTyCxA5V6V.agent.dX2yNWQUX5" too long for Unix domain socket
> main: Couldn't prepare agent socket
>
> So this seems an issue in the test harness.  Is it possible to fix it?

Unix sockets have an unfortunate historical limit of ~100 characters on
most systems. All the derivatives of 4.4BSD have a limit of 104
characters. Linux has a limit of 108 characters [1]. AIX is nice and
supports 1024 characters, but I assume you are not using that.

I guess this test can check for that error. I'll have a look.

Collin

[1] https://github.com/torvalds/linux/blob/98ac9cc4b4452ed7e714eddc8c90ac4ae5da1a09/include/uapi/linux/un.h#L7